This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1027831 - kernel BUG at drivers/gpu/drm/ttm/ttm_bo.c:173!
kernel BUG at drivers/gpu/drm/ttm/ttm_bo.c:173!
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-qxl (Show other bugs)
21
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Frediano Ziglio
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs, Reopened
Depends On:
Blocks: F20FinalBlocker
  Show dependency treegraph
 
Reported: 2013-11-07 07:52 EST by Hubert Kario
Modified: 2015-12-02 11:07 EST (History)
15 users (show)

See Also:
Fixed In Version: xorg-x11-drv-modesetting-0.8.0-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 22:01:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
soft lockup traces (81.27 KB, text/plain)
2013-11-07 07:53 EST, Hubert Kario
no flags Details

  None (edit)
Description Hubert Kario 2013-11-07 07:52:20 EST
Description of problem:
While trying to install to disk using KDE Test Day iso in VM the guest kernel crashes.

Version-Release number of selected component (if applicable):
iso: 20131106-kde_test_day-x86_64.iso sha256sum 40edc47a20f9ea895dfdddec18aa4993d0d4449d88fc0d4ce440ce211f388694
host:
kernel-3.11.6-200.fc19.x86_64
libvirt-1.0.5.6-3.fc19.x86_64
KVM machine, 2GB RAM, raw disk, default settings from Virtual Machine Manager for F19 guest

guest:
kernel-3.11.6-301.fc20.x86_64
xorg-x11-server-Xorg-1.14.3-4.fc20.x86_64
xorg-x11-drv-qxl-0.1.1-0.14.20130703git8b03ec16.fc20.x86_64
xorg-x11-drv-mga-1.6.2-8.fc20.x86_64
xorg-x11-drv-ati-7.1.0-6.20130408git6e74aacc5.fc20.x86_64
xorg-x11-drv-vesa-2.3.2-10.fc20.x86_64
xorg-x11-drv-intel-2.21.15-4.fc20.x86_64
xorg-x11-drv-vmmouse-13.0.0-6.fc20.x86_64
xorg-x11-drv-wacom-0.23.0-1.fc20.x86_64
xorg-x11-drv-nouveau-1.0.9-2.fc20.x86_64
xorg-x11-drv-synaptics-1.7.1-5.fc20.x86_64
xorg-x11-drv-openchrome-0.3.3-2.fc20.x86_64
xorg-x11-drv-evdev-2.8.2-1.fc20.x86_64
xorg-x11-drv-vmware-13.0.1-2.fc20.x86_64
xorg-x11-drv-modesetting-0.8.0-2.fc20.x86_64
xorg-x11-drv-fbdev-0.4.3-10.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start iso, use "Install to Hard Drive" link on desktop folder
2. Follow installation procedure (I'm using EN_UK locale, Prague time zone, Polish (Polish) keyboard and automatic partitioning with btrfs or LVM

Actual results:
[  916.090190] ------------[ cut here ]------------
[  916.090241] kernel BUG at drivers/gpu/drm/ttm/ttm_bo.c:173!
[  916.090249] invalid opcode: 0000 [#1] SMP 
[  916.090260] Modules linked in: xfs btrfs zlib_deflate libcrc32c fcoe libfcoe libfc scsi_transport_fc scsi_tgt iscsi_ibft iscsi_boot_sysfs iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi dm_crypt vfat fat dm_round_robin dm_multipath raid10 raid456 async_raid6_recov async_memcpy async_pq raid6_pq async_xor xor async_tx raid1 raid0 netconsole uinput nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_mangle ip6table_security ip6table_raw ip6t_REJECT iptable_nat nf_nat_ipv4 iptable_mangle iptable_security iptable_raw bnep bluetooth nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack rfkill ebtable_filter ebtables ip6table_filter snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 nf_nat nf_conntrack ip6_tables joydev snd_page_alloc microcode snd_timer snd serio_raw soundcore i2c_piix4 mperf nfsd auth_rpcgss nfs_acl lockd isofs squashfs qxl drm_kms_helper ttm drm virtio_balloon virtio_blk virtio_net i2c_core ata_generic pata_acpi sunrpc loop
[  916.090438] CPU: 0 PID: 972 Comm: X Not tainted 3.11.6-301.fc20.x86_64 #1
[  916.090442] Hardware name: Bochs Bochs, BIOS Bochs 01/01/2011
[  916.090448] task: ffff880079c7f560 ti: ffff880078464000 task.ti: ffff880078464000
[  916.090452] RIP: 0010:[<ffffffffa00c8017>]  [<ffffffffa00c8017>] ttm_bo_add_to_lru+0xb7/0xc0 [ttm]
[  916.090496] RSP: 0018:ffff880078465cb8  EFLAGS: 00010206
[  916.090503] RAX: ffff88007f0490e8 RBX: ffff880054a2b848 RCX: 00000000fffffffa
[  916.090505] RDX: 0000000000000000 RSI: 0000000000000462 RDI: ffff880054a2b900
[  916.090508] RBP: ffff880078465cc0 R08: ffff88007a050b18 R09: ffff88000cdb11c0
[  916.090511] R10: ffffffffa00fa414 R11: ffff88002492f510 R12: ffff880022c38b80
[  916.090515] R13: ffff880022c38ba8 R14: ffff880054a2b848 R15: ffff88007f15d240
[  916.090519] FS:  00007fe652f469c0(0000) GS:ffff88007e000000(0000) knlGS:0000000000000000
[  916.090523] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[  916.090526] CR2: 00007fe647da3000 CR3: 0000000078467000 CR4: 00000000000006f0
[  916.090541] Stack:
[  916.090544]  ffff880022c38d80 ffff880078465d00 ffffffffa00fa9f1 ffff88007f0490e8
[  916.090554]  0000000000000004 ffff880075ccd300 ffff88007f049000 0000000000000004
[  916.090561]  ffff880075ccd378 ffff880078465db8 ffffffffa00fa079 ffff880078465fd8
[  916.090569] Call Trace:
[  916.090591]  [<ffffffffa00fa9f1>] qxl_release_fence_buffer_objects+0x81/0xe4 [qxl]
[  916.090600]  [<ffffffffa00fa079>] qxl_execbuffer_ioctl+0x6d9/0x720 [qxl]
[  916.090624]  [<ffffffffa0084142>] drm_ioctl+0x532/0x660 [drm]
[  916.090640]  [<ffffffff8116da05>] ? do_mmap_pgoff+0x305/0x3c0
[  916.090652]  [<ffffffff811b9e1d>] do_vfs_ioctl+0x2dd/0x4b0
[  916.090656]  [<ffffffff811ba071>] SyS_ioctl+0x81/0xa0
[  916.090666]  [<ffffffff81657b19>] system_call_fastpath+0x16/0x1b
[  916.090670] Code: e1 b8 01 00 00 00 3e 0f c1 43 3c 83 c0 01 83 f8 01 7e 03 5b 5d c3 e8 79 84 00 00 eb f6 0f 1f 80 00 00 00 00 e8 6b 84 00 00 eb af <0f> 0b 0f 1f 80 00 00 00 00 0f 1f 44 00 00 55 48 89 e5 41 55 45 
[  916.090789] RIP  [<ffffffffa00c8017>] ttm_bo_add_to_lru+0xb7/0xc0 [ttm]
[  916.090811]  RSP <ffff880078465cb8>
[  916.090817] ---[ end trace c358992128ac50da ]---

Expected results:
System installed to HDD

Additional info:
Later on there are soft lockups for X and sshd stops working
Comment 1 Hubert Kario 2013-11-07 07:53:20 EST
Created attachment 821066 [details]
soft lockup traces
Comment 2 Hubert Kario 2013-11-07 09:56:25 EST
simple workaround is to disable desktop effects (Alt+Shift+F12)
Comment 3 Adam Williamson 2013-11-07 18:01:10 EST
Seeing something very similar here: F20 Beta (RC5) installed to a KVM with the KDE package set, usually the VM hangs (as in, can't interact with anything, can't get to a VT, can't power off) shortly after I log in, and I have what looks like the same trace in my journalctl:

Nov 07 13:42:34 localhost.localdomain kernel: ------------[ cut here ]------------
Nov 07 13:42:34 localhost.localdomain kernel: kernel BUG at drivers/gpu/drm/ttm/ttm_bo.c:173!
Nov 07 13:42:35 localhost.localdomain kernel: invalid opcode: 0000 [#1] SMP 
Nov 07 13:42:35 localhost.localdomain kernel: Modules linked in: uinput nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_mangle ip6table_security ip6table_raw ip6t_REJECT iptable_nat nf_nat_ipv4 iptable_mangle iptable_security iptable_raw nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack bnep ebtable_filter bluetooth rfkill ebtables ip6table_filter ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 nf_nat nf_conntrack ip6_tables snd_hda_intel snd_hda_codec snd_hwdep joydev snd_seq snd_seq_device ppdev snd_pcm parport_pc parport microcode virtio_balloon serio_raw snd_page_alloc i2c_piix4 snd_timer snd soundcore mperf nfsd auth_rpcgss nfs_acl lockd sunrpc dm_crypt virtio_blk ne2k_pci 8390 qxl sym53c8xx drm_kms_helper scsi_transport_spi ttm virtio_net drm i2c_core ata_generic pata_acpi
Nov 07 13:42:35 localhost.localdomain kernel: CPU: 0 PID: 1653 Comm: X Not tainted 3.11.6-301.fc20.x86_64 #1
Nov 07 13:42:35 localhost.localdomain kernel: Hardware name: Bochs Bochs, BIOS Bochs 01/01/2011
Nov 07 13:42:35 localhost.localdomain kernel: task: ffff88007b4bdb80 ti: ffff880036bb2000 task.ti: ffff880036bb2000
Nov 07 13:42:35 localhost.localdomain kernel: RIP: 0010:[<ffffffffa0084017>]  [<ffffffffa0084017>] ttm_bo_add_to_lru+0xb7/0xc0 [ttm]
Nov 07 13:42:35 localhost.localdomain kernel: RSP: 0018:ffff880036bb3cb8  EFLAGS: 00010287
Nov 07 13:42:35 localhost.localdomain kernel: RAX: ffff88003725a0e8 RBX: ffff8800048f5c48 RCX: 00000000fffffffa
Nov 07 13:42:35 localhost.localdomain kernel: RDX: 0000000000000000 RSI: 00000000000008da RDI: ffff8800048f5d00
Nov 07 13:42:35 localhost.localdomain kernel: RBP: ffff880036bb3cc0 R08: ffff88000df04b18 R09: ffff88003fd13aa0
Nov 07 13:42:35 localhost.localdomain kernel: R10: ffffffffa00c5414 R11: 0000000000000000 R12: ffff880004924c00
Nov 07 13:42:35 localhost.localdomain kernel: R13: ffff880004924c28 R14: ffff8800048f5c48 R15: ffff8800374bff00
Nov 07 13:42:35 localhost.localdomain kernel: FS:  00007fe10b4d19c0(0000) GS:ffff88007fc00000(0000) knlGS:0000000000000000
Nov 07 13:42:35 localhost.localdomain kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Nov 07 13:42:35 localhost.localdomain kernel: CR2: 000000000091b7b8 CR3: 000000007a613000 CR4: 00000000000006f0
Nov 07 13:42:35 localhost.localdomain kernel: Stack:
Nov 07 13:42:35 localhost.localdomain kernel:  ffff880004924e00 ffff880036bb3d00 ffffffffa00c59f1 ffff88003725a0e8
Nov 07 13:42:35 localhost.localdomain kernel:  0000000000000004 ffff88005eb1f840 ffff88003725a000 0000000000000004
Nov 07 13:42:35 localhost.localdomain kernel:  ffff88005eb1f8b8 ffff880036bb3db8 ffffffffa00c5079 ffff880036bb3fd8
Nov 07 13:42:35 localhost.localdomain kernel: Call Trace:
Nov 07 13:42:35 localhost.localdomain kernel:  [<ffffffffa00c59f1>] qxl_release_fence_buffer_objects+0x81/0xe4 [qxl]
Nov 07 13:42:35 localhost.localdomain kernel:  [<ffffffffa00c5079>] qxl_execbuffer_ioctl+0x6d9/0x720 [qxl]
Nov 07 13:42:35 localhost.localdomain kernel:  [<ffffffffa0024142>] drm_ioctl+0x532/0x660 [drm]
Nov 07 13:42:35 localhost.localdomain kernel:  [<ffffffff8116da05>] ? do_mmap_pgoff+0x305/0x3c0
Nov 07 13:42:35 localhost.localdomain kernel:  [<ffffffff811b9e1d>] do_vfs_ioctl+0x2dd/0x4b0
Nov 07 13:42:35 localhost.localdomain kernel:  [<ffffffff811ba071>] SyS_ioctl+0x81/0xa0
Nov 07 13:42:35 localhost.localdomain kernel:  [<ffffffff81657b19>] system_call_fastpath+0x16/0x1b
Nov 07 13:42:35 localhost.localdomain kernel: Code: e1 b8 01 00 00 00 f0 0f c1 43 3c 83 c0 01 83 f8 01 7e 03 5b 5d c3 e8 79 84 00 00 eb f6 0f 1f 80 00 00 00 00 e8 6b 84 00 00 eb af <0f> 0b 0f 1f 80 00 00 00 00 0f 1f 44 00 00 55 48 89 e5 41 55 45 
Nov 07 13:42:35 localhost.localdomain kernel: RIP  [<ffffffffa0084017>] ttm_bo_add_to_lru+0xb7/0xc0 [ttm]
Nov 07 13:42:35 localhost.localdomain kernel:  RSP <ffff880036bb3cb8>
Nov 07 13:42:35 localhost.localdomain kernel: ---[ end trace d618605758b302a4 ]---
Nov 07 13:42:35 localhost.localdomain abrt-server[3408]: Looking for kernel package
Nov 07 13:42:36 localhost.localdomain abrt-server[3408]: Kernel package kernel-3.11.6-301.fc20.x86_64 found
Nov 07 13:42:36 localhost.localdomain abrt-dump-oops[3407]: Reported 1 kernel oopses to Abrt

Proposing as a Final blocker as a conditional violation of both Beta virtualization criteria - https://fedoraproject.org/wiki/Fedora_20_Beta_Release_Criteria#Virtualization_requirements - in the case where you install KDE to a standard (qxl/SPICE) KVM. I guess using cirrus may well work around this too.
Comment 4 Fedora Update System 2013-11-07 23:12:58 EST
xorg-x11-drv-qxl-0.1.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xorg-x11-drv-qxl-0.1.1-2.fc20
Comment 5 Fedora Update System 2013-11-08 13:40:14 EST
Package xorg-x11-drv-qxl-0.1.1-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-drv-qxl-0.1.1-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20951/xorg-x11-drv-qxl-0.1.1-2.fc20
then log in and leave karma (feedback).
Comment 6 Adam Williamson 2013-11-08 13:50:11 EST
Someone in the KDE Test Day reported kwin crashing in a VM with this segfault:

 This is what I get from the crash logs:

Application: KWin (kwin), signal: Segmentation fault
Using host libthread_db library "/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0xb16417c0 (LWP 1539))]

Thread 4 (Thread 0xae1b1b40 (LWP 1542)):
#0  0xb77bc424 in __kernel_vsyscall ()
#1  0xb61097ac in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb7112c02 in QTWTF::TCMalloc_PageHeap::scavengerThread() () from /lib/libQtScript.so.4
#3  0xb7112c50 in QTWTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /lib/libQtScript.so.4
#4  0xb6105d8a in start_thread () from /lib/libpthread.so.0
#5  0xb531d9be in clone () from /lib/libc.so.6

Thread 3 (Thread 0xaef84b40 (LWP 1592)):
#0  0xb77bc424 in __kernel_vsyscall ()
#1  0xb6109b76 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb6182863 in QWaitCondition::wait(QMutex*, unsigned long) () from /lib/libQtCore.so.4
#3  0xb6174b6e in QThreadPoolThread::run() () from /lib/libQtCore.so.4
#4  0xb61822bb in QThreadPrivate::start(void*) () from /lib/libQtCore.so.4
#5  0xb6105d8a in start_thread () from /lib/libpthread.so.0
#6  0xb531d9be in clone () from /lib/libc.so.6

Thread 2 (Thread 0xac520b40 (LWP 1628)):
#0  0xb77bc424 in __kernel_vsyscall ()
#1  0xb610ce46 in nanosleep () from /lib/libpthread.so.0
#2  0xae2fbc44 in RTThreadSleep () from /usr/lib/dri/vboxvideo_dri.so
#3  0xae2c2402 in ?? () from /usr/lib/dri/vboxvideo_dri.so
#4  0xae2fd6a0 in rtThreadMain () from /usr/lib/dri/vboxvideo_dri.so
#5  0xae308bb6 in ?? () from /usr/lib/dri/vboxvideo_dri.so
#6  0xb6105d8a in start_thread () from /lib/libpthread.so.0
#7  0xb531d9be in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb16417c0 (LWP 1539)):
[KCrash Handler]
#6  0xad54cca7 in packspu_TexImage2D () from /lib/VBoxOGLpackspu.so
#7  0xae2f6493 in cr_glTexImage2D () from /usr/lib/dri/vboxvideo_dri.so
#8  0xb5581866 in glTexImage2D () from /lib/libGL.so.1
#9  0xb6bf18f2 in KWin::GLTexture::GLTexture(int, int) () from /lib/libkwinglutils.so.1
#10 0xad3d42e0 in KWin::BlurEffect::BlurEffect() () from /usr/lib/kde4/kwin4_effect_builtins.so
#11 0xad3d45f7 in effect_create_kwin4_effect_blur () from /usr/lib/kde4/kwin4_effect_builtins.so
#12 0xb76cebc7 in KWin::EffectsHandlerImpl::loadEffect(QString const&, bool) () from /lib/libkdeinit4_kwin.so
#13 0xb76cf706 in KWin::EffectsHandlerImpl::slotEffectsQueried() () from /lib/libkdeinit4_kwin.so
#14 0xb760d970 in KWin::EffectsHandlerImpl::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.21] () from /lib/libkdeinit4_kwin.so
#15 0xb62b31d5 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /lib/libQtCore.so.4
#16 0xb63032e6 in QFutureWatcherBase::finished() () from /lib/libQtCore.so.4
#17 0xb617122c in QFutureWatcherBasePrivate::sendCallOutEvent(QFutureCallOutEvent*) () from /lib/libQtCore.so.4
#18 0xb617150c in QFutureWatcherBase::event(QEvent*) () from /lib/libQtCore.so.4
#19 0xb5743a94 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib/libQtGui.so.4
#20 0xb574a9ec in QApplication::notify(QObject*, QEvent*) () from /lib/libQtGui.so.4
#21 0xb6958b70 in KApplication::notify(QObject*, QEvent*) () from /lib/libkdeui.so.5
#22 0xb76449ea in KWin::Application::notify(QObject*, QEvent*) () from /lib/libkdeinit4_kwin.so
#23 0xb629d516 in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /lib/libQtCore.so.4
#24 0xb62a098a in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib/libQtCore.so.4
#25 0xb62a0e8d in QCoreApplication::sendPostedEvents(QObject*, int) () from /lib/libQtCore.so.4
#26 0xb57faaca in QEventDispatcherX11::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/libQtGui.so.4
#27 0xb629be50 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/libQtCore.so.4
#28 0xb629c1e1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib/libQtCore.so.4
#29 0xb62a1e9b in QCoreApplication::exec() () from /lib/libQtCore.so.4
#30 0xb5741da5 in QApplication::exec() () from /lib/libQtGui.so.4
#31 0xb7645dac in kdemain () from /lib/libkdeinit4_kwin.so
#32 0x0804884c in main ()

would that probably be caused by this bug, or something different? The image they were using would have had the affected qxl.
Comment 7 Dave Airlie 2013-11-10 18:39:10 EST
nope that doesn't look the same, I'd go with something different.
Comment 8 Fedora Update System 2013-11-11 20:09:37 EST
xorg-x11-drv-modesetting-0.8.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xorg-x11-drv-modesetting-0.8.0-3.fc19
Comment 9 Fedora Update System 2013-11-12 21:08:24 EST
xorg-x11-drv-qxl-0.1.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-11-23 14:52:37 EST
xorg-x11-drv-modesetting-0.8.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Frediano Ziglio 2015-05-27 06:20:10 EDT
Quite nasty problem related to memory management and reference counting. Patch at http://lists.freedesktop.org/archives/spice-devel/2015-May/019962.html.
Comment 12 Frediano Ziglio 2015-05-27 06:26:18 EDT
To easy reproduce the issue enable KMS and composite in xorg-x11-drv-qxl package (remove no-surfaces-kms.patch and qxl-kms-disable-composite.patch patches), install KDE and open some OpenOffice applications (I used Draw and Presentation) which use a lot of objects, continue opening and close these applications for a while, minimizing and maximizing them and after a while you will see a lot of problems in dmesg and on screen (unless it freezes).
Comment 13 Adam Williamson 2015-06-29 20:04:52 EDT
is there a reason you re-opened this bug instead of filing a new one? there was clearly an update issued specifically to fix the bug that was initially reported here back in 2013...
Comment 14 Frediano Ziglio 2015-07-01 07:14:42 EDT
I though was the right way as the problem is the same.
Comment 15 Fedora End Of Life 2015-11-04 10:29:16 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-12-01 22:01:56 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.